%define version 0.9.53
%define extra RPM/extra/
%define Debugroot %{_tmppath}/%{name}-%{version}-%{release}-Debugroot
Summary: A Microsoft Windows emulator for Linux.
Name: wine
Version: %{version}
Release: mdv2007.0
Epoch:		1
Group: Applications/Emulators
License: LGPL
URL: http://www.winehq.com
Source0: http://prdownloads.sourceforge.net/wine/wine-%{version}.tar.bz2
Source1: winespec.tar.bz2
ExclusiveArch: %{ix86}
Packager: Marco Meijer <marco@mandrivaclub.nl>
Distribution: Mandriva
Vendor: The Wine project
Autoreq: 0
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:	bison flex gpm-devel perl-devel ncurses-devel sgml-tools
BuildRequires:	XFree86-devel freetype2-devel autoconf2.5 docbook-utils docbook-dtd-sgml
BuildRequires:	cups-devel jackit-devel ImageMagick isdn4k-utils-devel xpm-devel
BuildRequires:	sane-devel glibc-static-devel esound-devel ungif-devel chrpath
BuildRequires:	desktop-file-utils libalsa-devel openldap-devel lcms-devel
BuildRequires:	nas-devel libxslt-devel dbus-devel hal-devel arts-devel 
#BuildRequires:	libsmapi2.4-devel

%if %mdkversion >= 200700
BuildRequires:	mesaglu-devel
%else
BuildRequires:	MesaGLU-devel
%endif
%if %mdkversion >= 1020
BuildRequires:	fontforge
%endif

Requires: ld-linux.so.2 , libICE.so.6 , libSM.so.6 , libX11.so.6 , libXext.so.6 , libc.so.6 , libc.so.6

Conflicts : libwine1

%description
This is a beta build of Wine, a Microsoft Windows emulator for Linux. This build is intended for testing and development use only, as most Windows software doesn't yet work correctly. Before attempting to debug wine, please install the wine-debug-symbols RPM. If you find any bugs, please have a look at this page: http://www.winehq.org/site/docs/wine-user/bugs This RPM also includes a tool for automatically creating bug reports, just run bug_report.pl in a shell and follow the on screen instructions. You can submit the report via the Wine bug tracking web site, at http://bugs.winehq.com Please check that nobody has already reported the same bug. This RPM is built for Mandrake Linux 10.0, 10.1, Mandriva Linux Limited Edition 2005 and Mandriva Linux 2006; if you need to run wine on a different platform, please download the appropriate build from http://sourceforge.net/project/showfiles.php?group_id=6241


%prep
rm -fr %{buildroot}

%setup -q -n wine-%{version}
%setup -q -T -D -a1 -n wine-%{version}

%build
autoconf
%configure2_5x	--with-x \
		--enable-opengl \
%ifarch x86_64
		--enable-win64
%endif

make depend
%make
%make -C programs

%install
rm -rf %{buildroot}
%makeinstall_std LDCONFIG=/bin/true 

%makeinstall_std -C programs prefix=%{buildroot}%{_prefix}



#install bug_report.pl
cp %{extra}bug_report.pl %{buildroot}/usr/bin/

#add system mimetypes for wine
mkdir %{buildroot}/%{_datadir}/mimelnk/
mkdir %{buildroot}/%{_datadir}/mimelnk/application
install -m 0644 %{extra}x-wine-executable.desktop %{buildroot}/%{_datadir}/mimelnk/application/

#install icons for desktop entries
mkdir %{buildroot}/%{_datadir}/pixmaps/
mkdir %{buildroot}/%{_datadir}/pixmaps/wine/
mkdir %{buildroot}/%{_datadir}/pixmaps/wine/small
mkdir %{buildroot}/%{_datadir}/pixmaps/wine/normal
mkdir %{buildroot}/%{_datadir}/pixmaps/wine/large
cp %{extra}/icons/small/* %{buildroot}/%{_datadir}/pixmaps/wine/small/
cp %{extra}/icons/normal/* %{buildroot}/%{_datadir}/pixmaps/wine/normal/
cp %{extra}/icons/large/* %{buildroot}/%{_datadir}/pixmaps/wine/large/


#install wine.inf
#mkdir %{buildroot}/usr/share/wine/
#cp tools/wine.inf %{buildroot}/usr/share/wine/

#install fonts
#mkdir %{buildroot}/usr/share/wine/fonts
#cp /usr/share/wine/fonts/* %{buildroot}/usr/share/wine/fonts/

#create menu directory
mkdir %{buildroot}/%{_menudir}
#add icons for wine
mkdir %{buildroot}/%{_iconsdir}/
mkdir %{buildroot}/%{_miconsdir}/
mkdir %{buildroot}/%{_liconsdir}/
cp %{extra}icons/small/* %{buildroot}/%{_miconsdir}/
cp %{extra}icons/normal/* %{buildroot}/%{_iconsdir}/
cp %{extra}icons/large/* %{buildroot}/%{_liconsdir}/

#prepare stuff for debug package
rm -rf %{Debugroot}/*
mkdir -p %{Debugroot}/usr/
mkdir %{Debugroot}/usr/bin
mkdir %{Debugroot}/usr/lib
mkdir %{Debugroot}/usr/lib/wine
make_debug()
{
    for object in `ls -A`
    do
    if [ "`file -b $object`" = "ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.2.5, dynamically linked (uses shared libs), not stripped" ] || [ "`file -b $object`" = "ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), not stripped" ]
    then
        objcopy --only-keep-debug $object $object.debug
        objcopy --strip-debug $object
        objcopy --add-gnu-debuglink=$object.debug $object
        mv $object.debug %{Debugroot}$@
    fi
    done
}

cd %{buildroot}/usr/bin
make_debug /usr/bin
cd %{buildroot}/usr/lib
make_debug /usr/lib
cd %{buildroot}/usr/lib/wine/
make_debug /usr/lib/wine

#(peroyvind, from rcc/Mark Draheim) add menu entries
install -d %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): needs="X11" section="More Applications/Emulators" title="Wine" longtitle="Wine" icon="%{name}.png" xdg="true"
EOF

mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
cat > %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged/mandriva-%{name}.menu <<EOF
<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
"http://www.freedesktop.org/standards/menu-spec/menu-1.0.dtd">
<Menu>
    <Name>Applications</Name>
    <Menu>
        <Name>More Applications</Name>
        <Menu>
            <Name>Emulators</Name>
            <Menu>
                <Name>Wine</Name>
                <Directory>mandriva-%{name}.directory</Directory>
                <Include>
                    <Category>X-MandrivaLinux-MoreApplications-Emulators-Wine</Category>
                </Include>
            </Menu>
        </Menu>
    </Menu>
</Menu>
EOF

mkdir -p %{buildroot}%{_datadir}/desktop-directories
cat > %{buildroot}%{_datadir}/desktop-directories/mandriva-%{name}.directory <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Wine
Icon=%{name}
Type=Directory
EOF

mkdir -p %{buildroot}%{_datadir}/applications/
for i in	winecfg:Configurator \
		notepad:Notepad \
		uninstaller:Software\ Manager \
		progman:Program\ Manager \
		winefile:File\ Manager \
		regedit:Registry\ Editor \
		winemine:Minesweeper;
do cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}-`echo $i|cut -d: -f1`.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=`echo $i|cut -d: -f2`
Comment=`echo $i|cut -d: -f2`
Exec=`echo $i|cut -d: -f1`
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators-Wine;
EOF
cat >> %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): needs="X11" section="More Applications/Emulators/Wine" title="`echo $i|cut -d: -f2`" longtitle="`echo $i|cut -d: -f2`" command="`echo $i|cut -d: -f1`" icon="%{name}.png" xdg="true"
EOF
done

# Categories=Emulator does nothing and is added as a workaround to kde #27700
desktop-file-install	--vendor="" \
			--add-mime-type=application/x-zip-compressed \
			--remove-mime-type=application/x-zip-compressed \
			--add-category=Emulator \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/wine.desktop


%post
cat << EOF > %{_menudir}/wine
?package(wine): command="/usr/bin/wine" icon="wine.xpm" needs="gnome" section=".hidden" section=".hidden" title="Wine" longtitle="Run windows programs with wine" mimetypes="application/x-wine-executable" multiple_files="false"
?package(wine): command="/usr/bin/wine" icon="wine.xpm" needs="kde" section=".hidden" section=".hidden" InitialPreference="9" title="Wine" longtitle="Run windows programs with wine" mimetypes="application/x-wine-executable" multiple_files="false"
?package(wine): command="wineboot" icon="wine.xpm" needs="X11" section="More applications/Emulators/Wine" title="Reboot Wine" accept_url="false" multiple_files="false"
?package(wine): command="winecfg" icon="wine.xpm" needs="X11" section="More applications/Emulators/Wine" title="Configure Wine" accept_url="false" multiple_files="false"
?package(wine): command="wine clock" icon="wine.xpm" needs="X11" section="More applications/Emulators/Wine" title="Clock" accept_url="false" multiple_files="false"
?package(wine): command="wine control" icon="wine.xpm" needs="X11" section="More applications/Emulators/Wine" title="Control Panel" accept_url="false" multiple_files="false"
?package(wine): command="winefile" icon="wine.xpm" needs="X11" section="More applications/Emulators/Wine" title="File Manager" accept_url="false" multiple_files="false"
?package(wine): command="winhelp" icon="wine.xpm" needs="X11" section="More applications/Emulators/Wine" title="Wine Help" accept_url="false" multiple_files="false"
?package(wine): command="winemine" icon="wine.xpm" needs="X11" section="More applications/Emulators/Wine" title="Mine Sweeper" accept_url="false" multiple_files="false"
?package(wine): command="notepad" icon="wine.xpm" needs="X11" section="More applications/Emulators/Wine" title="Notepad" accept_url="false" multiple_files="false"
?package(wine): command="progman" icon="wine.xpm" needs="X11" section="More applications/Emulators/Wine" title="Program Manager" accept_url="false" multiple_files="false"
?package(wine): command="regedit" icon="wine.xpm" needs="X11" section="More applications/Emulators/Wine" title="Registry Editor" accept_url="false" multiple_files="false"
?package(wine): command="uninstaller" icon="wine.xpm" needs="X11" section="More applications/Emulators/Wine" title="Uninstaller" accept_url="false" multiple_files="false"
EOF
%{update_menus}

%postun
%{clean_menus}
ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS ChangeLog LICENSE COPYING.LIB README VERSION
%_bindir/
%_libdir/
%_includedir/
%{_datadir}/wine/*
%{_datadir}/man/
%{_datadir}/pixmaps/*
%{_datadir}/mimelnk/*
%{_datadir}/icons/*
%{_datadir}/aclocal/wine.m4
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/mandriva-%{name}.directory
%{_sysconfdir}/xdg/menus/applications-merged/mandriva-%{name}.menu

%changelog
* Sat Jan 12 2008 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.53
- Happy new year

* Sat Dec 29 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.52

* Fri Dec 14 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.51

* Fri Nov 30 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.50

* Sat Nov 10 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.49

* Wed Oct 31 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.48

* Sun Oct 14 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.47

* Mon Oct 10 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.46

* Fri Sep 14 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.45
- add menu entries

* Wed Aug 29 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.44

* Sun Aug 12 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.43

* Fri Jul 27 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.42

* Sun Jul 15 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.41

* Sun Jul 1 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.40

* Sun Jun 17 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.39

* Sun Jun 03 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.38

* Fri May 11 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.37

* Fri Apr 27 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.36

* Fri Apr 13 2007 Marco Meijer <marco@mandrivaclub.nl>
- Updated to wine 0.9.35

* Sun Feb 04 2007 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.30

* Sun Jan 14 2007 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.29

* Sun Dec 10 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.27

* Sat Dec 02 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.26
- Dropped debug package support

* Sun Nov 12 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.25

* Thu Nov 02 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.24

* Sat Oct 14 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.23

* Mon Oct 02 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.22

* Thu Sep 14 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.21

* Mon Sep 11 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.20
- Fixed bug in the RPM build script

* Wed Jul 12 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.17

* Sun Jun 18 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Special 0.9.16 build with safedisc 1 support

* Fri Jun 18 2006  Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.16

* Sun Jun 18 2006  Ivan Leo Puoti <ivanleo@gmail.com>
- Special release with safedisc 1 support (not released)

* Sun Jun 11 2006  Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.15

* Thu May 25 2006  Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.14

* Mon May 15  2006  Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.13

* Thu Apr 13 2006  Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.12

* Fri Mar 31 2006  Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.11

* Wed Mar 15 2006  Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine 0.9.10
- Chaged fonts directory

* Fri Mar 03 2006  Ivan Leo Puoti <ivanleo@gmail.com>
- Update to wine 0.9.9

* Wed Feb 15 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Update to wine 0.9.8

* Mon Feb 06 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Update to wine 0.9.7

* Fri Jan 20 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Update to wine-0.9.6

* Thu Jan 05 2006 Ivan Leo Puoti <ivanleo@gmail.com>
- Update to wine-0.9.5

* Fri Dec 23 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-0.9.4

* Fri Dec 09 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-0.9.3

* Wed Nov 23 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-0.9.2

* Wed Nov 09 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-0.9.1

* Tue Oct 25 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- First beta release

* Fri Sep 30 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-20050930
- Dropped Linux Mandrake 9.2 support

* Tue Aug 30 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-20050830

* Mon Jul 25 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-20050725

* Tue Jun 28 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-20050628

* Tue May 24 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-20050524

* Tue Apr 19 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-20050419

* Thu Mar 10 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-20050310

* Wed Feb 16 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Fixed fonts installation

* Fri Feb 11 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-20050211

* Tue Jan 11 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Updated to wine-20050111

* Tue Jan 04 2005 Ivan Leo Puoti <ivanleo@gmail.com>
- Test build, not for public release

* Fri Dec 17 2004 Ivan Leo Puoti <ivanleo@gmail.com>
- No longer build with ICU support

* Wed Dec 01 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20041201

* Wed Oct 20 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20041019
- Added support for debug symbols in separate RPM

* Mon Sep 20 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20040913
- Added new wine fonts

* Sat Aug 14 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20040813

* Wed Aug 11 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updated ICU to version 3.0

* Sat Jul 17 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20040716

* Tue Jun 28 2004 Ivan Leo Puoti <puoti@inwind.it>
- Moved wine.inf to the right place.

* Wed Jun 15 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20040615

* Tue Jun 08 2004 Ivan Leo Puoti <puoti@inwind.it>
- Install different menus, depending on which version of Mandrake the RPM is installed on.

* Fri May 14 2004 Ivan Leo Puoti <puoti@inwind.it>
- Backward compatibility fix for Mandrake 9.2 and 9.1
- Removed WineSetupTk, it's no longer needed

* Thu May 06 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20040505

* Fri Apr 08 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20040408

* Mon Mar 15 2004 Ivan Leo Puoti <puoti@inwind.it>
- Removed wine-faq guide, it can be read online
- Added the wine.inf script, that replaces winedefault.reg

* Wed Mar 10 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20040309
- Updated winesetup to version 0.73
- Wine user guide removed, as it fails to compile
- Removed winedefault.reg

* Sat Feb 14 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20040213
- Updated winesetup to version 0.72

* Thu Jan 22 2004 Ivan Leo Puoti <puoti@inwind.it>
- Updates to wine-20040121
- Updated mesa headers to version 6.0

* Tue Jan 20 2004 Ivan Leo Puoti <puoti@inwind.it>
- Added Winesetup documentation

* Mon Jan 12 2004 Ivan Leo Puoti <puoti@inwind.it>
- Added mime types in KDE and Gnome
- Updated mesa headers to 5.1
- Added winedefault.reg

* Mon Dec 15 2003 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20031212
- Added bug_report.pl
- Updated winesetup to version 0.71

* Thu Nov 27 2003 Ivan Leo Puoti <puoti@inwind.it>
- Added menu entries in KDE and Gnome

* Thu Nov 20 2003 Ivan Leo Puoti <puoti@inwind.it>
- Added winesetup to this RPM
- Updated to wine-20031118

* Sun Oct 19 2003 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20031016
- Lots of changes in how the RPM is built

* Sat Sep 13 2003 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20030911
- Updated the description of wine in the RPM package
- Updated mesa headers to 5.02

* Thu Aug 14 2003 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20030813
- Added the wine user guide and the wine FAQ
- Fixed 2 bugs in the RPM package

* Fri Aug 01 2003 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20030709

* Wed Jun 18 2003 Ivan Leo Puoti <puoti@inwind.it>
- Updated to wine-20030618
- Updated mesa headers to 5.01
- Added ICU support

* Thu May 22 2003 Ivan Leo Puoti <puoti@inwind.it>
- Initial release for Mandrake 9.1
